import JMyron.*;
JMyron m;
void setup(){
  size(320,240);
  noFill();
  stroke(0,255,0);
  m = new JMyron();
  m.start(width,height);
  m.trackColor(255,255,255,700);
  m.minDensity(100);
  m.adaptivity(10);
}

void draw(){
  m.update();//update the camera view
  int[] img = m.differenceImage();

  loadPixels();
  for(int i=0;i<width*height;i++) {
    pixels[i] = img[i];
  }
  updatePixels();
  int list[][][] = m.globPixels();
  for(int i=0; i<list.length;i++) {
    int[][] pixellist = list[i];
    if(pixellist!=null) {
      beginShape(POINTS);
      for(int j=0;j<pixellist.length;j++) {
        vertex(pixellist[j][0],
        pixellist[j][1]);
      }
      endShape();
    } 
  }
}

public void stop(){
  m.stop();
  super.stop();
}

