import JMyron.*;
JMyron m;
void setup(){
  size(320,240);
  noFill();
  stroke(0,255,0);
  m = new JMyron();
  m.start(width,height);
  m.trackColor(255,255,255,200);
  m.minDensity(100);
}

void draw(){
  m.update();//update the camera view
  int[] img = m.image();

  loadPixels();
  for(int i=0;i<width*height;i++) {
    pixels[i] = img[i];
  }
  updatePixels();
  int[][] b = m.globBoxes();
  for(int i=0;i<b.length;i++) {
    rect(b[i][0],b[i][1],
    b[i][2], b[i][3]);
  }
}

public void stop(){
  m.stop();
  super.stop();
}

